# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods

Deprecated Interfaces
Interface
Description
org.apache.sling.engine.RequestLog
Use the request progress tracker instead.
org.apache.sling.engine.servlets.ErrorHandler
Please use `ErrorHandler` instead.
org.apache.sling.engine.SlingSettingsService
Use the `SlingSettingsService`

Deprecated Classes
Class
Description
org.apache.sling.engine.RequestUtil
Use `RequestUtil`
org.apache.sling.engine.ResponseUtil
Use `ResponseUtil`
org.apache.sling.engine.servlets.AbstractServiceReferenceConfig

Deprecated Fields
Field
Description
org.apache.sling.engine.EngineConstants.FILTER_ORDER
Use `"service.ranking"` (org.osgi.framework.Constants.SERVICE_RANKING) instead
org.apache.sling.engine.EngineConstants.FILTER_SCOPE
Use `EngineConstants.SLING_FILTER_SCOPE` instead
org.apache.sling.engine.EngineConstants.SESSION
as of bundle version 2.1
org.apache.sling.engine.EngineConstants.SLING_CURRENT_SERVLET_NAME
Use `SlingConstants.SLING_CURRENT_SERVLET_NAME`
org.apache.sling.engine.EngineConstants.SLING_HOME
Use `SlingSettingsService.SLING_HOME`
org.apache.sling.engine.EngineConstants.SLING_HOME_URL
Use `SlingSettingsService.SLING_HOME_URL`
org.apache.sling.engine.EngineConstants.SLING_SERLVET_NAME

Deprecated Methods
Method
Description
org.apache.sling.engine.RequestInfoProvider.getMayNumberOfInfos()
Use `RequestInfoProvider.getMaxNumberOfInfos()`